
%define module_name bcm4400
%define module_version 2.0.5
%define module_release alt1
%define module_source %{module_name}-%{module_version}.tgz
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       GPL
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%{module_name} modules sources for Linux kernel

%prep
%setup -cT
mkdir -p %{module_source_dir}
pushd %{module_source_dir}
tar -zxvf %SOURCE0
popd

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources/
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%changelog
* Sun Sep 21 2003 Alexey Shabalin <shaba@altlinux.ru> 2.0.5-alt1
- initial release
